GNU bug report logs - #45604
[PATCH 0/1] Add magic-enum package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Anadon <joshua.r.marshall.1991@HIDDEN>; Keywords: patch; merged with #45730, #45731, #45850, #45851, #45852, #45853; dated Sat, 2 Jan 2021 00:52:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 20 Jan 2021 04:09:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 23:09:40 2021
Received: from localhost ([127.0.0.1]:52443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l24oO-0000rH-C0
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 23:09:40 -0500
Received: from mail-qk1-f169.google.com ([209.85.222.169]:41125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1l24oK-0000ql-3f
 for 45604 <at> debbugs.gnu.org; Tue, 19 Jan 2021 23:09:38 -0500
Received: by mail-qk1-f169.google.com with SMTP id 19so24232172qkm.8
 for <45604 <at> debbugs.gnu.org>; Tue, 19 Jan 2021 20:09:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Kzzj57t9Cf+NdQVYEcmfEaVk7fR+abxRbDfgYb2Fe/0=;
 b=P9oTHBpSnI6Bbg8W0APl3l1/JVOqqKlOJfFqiouRQRRZDJOc+Gqg78rUCQ09TLfreZ
 w/DA17CnlX2HVNKQc5h4NgEHsQ8ho0kat0hLaXuWUNWDJeLki5UQ0xB8rZS44LmTNbLj
 vi3K+Jl3IqT9N7/IpVMjwEc/X9Zp/S9DpLx6Z0u9aZvKVq+/8uDIrSgZUe31PAa0PwkG
 LOXqrH+uCE47vYpbETdxh50Gr6K9vmw4KhQ6U4eg9wiMjUIqrjXxItloVtzZ/rWWujY8
 0ds638aZPGKhcMHfxEcDUpiUxXPKMJhTJ3qKY3k4nFH4bWC4lnOxgHWm7USJu/iS5iY3
 VcVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Kzzj57t9Cf+NdQVYEcmfEaVk7fR+abxRbDfgYb2Fe/0=;
 b=qT4P8PJdtNNVTbUq47X6YQdpTD+dB3uiOBMH8S0ZkGYcNyNcJsbgryj1TEgyZ2RP85
 yWG4d7+Za/6BfdSDXRt4jZl+nDGMIuMyt8OXLXSwdtLRf5EXzNIW6l3izSvp5KpP1T2Z
 6bXWSHrjD/n0wS7QBWgyXk8p2/8yQCNxjYE/mcc0l5NtCffnI750cmNFseVJ6dAr9n0b
 c7NxpnpaX8WRMwJIwQbMbF6bvU2cFiULVUJIpmPxfieLlnJ4azy4uoBoQwJWtJFga4fQ
 c4/hwd7PDux2CH0Tb6eTmrrLtDkkfr70UaA7gXg0fKJoBZi6uytgDESQjHlnuE+3+mNG
 wGTw==
X-Gm-Message-State: AOAM530vNDY7sXaRIIS3//fCkTFf/ecsx3TpZaiE5mQw6FGo//b1MzST
 bHzhaJwyTvMgcg+Tbr+Evt0ZCEqIW7C3Dw==
X-Google-Smtp-Source: ABdhPJypZiZYD4sd3iGA09IV4FHTuRXgxlf2Ll7KBaKMzg/df5Eu38cKZxoHaC0zAhjOPmjCoqJhGQ==
X-Received: by 2002:a37:b083:: with SMTP id z125mr7842779qke.246.1611115770388; 
 Tue, 19 Jan 2021 20:09:30 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id z22sm472017qtq.31.2021.01.19.20.09.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 19 Jan 2021 20:09:30 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: 45604 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add magic-enum.
Date: Tue, 19 Jan 2021 23:09:24 -0500
Message-Id: <20210120040924.43817-1-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/cpp.scm (magic-enum): Added the package
 definition.
 --- gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++ 1 file changed, 24
 insertions(+) diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index
 00e006928e..012640171a 100644 --- a/gnu/packages/cpp.scm +++
 b/gnu/packages/cpp.scm
 @@ -807,3 +807,27 @@ code will be mixed in with the a [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (joshua.r.marshall.1991[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: tl.tartanllama.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.169 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.169 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 45604
Cc: leo.prikler@HIDDEN, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/cpp.scm (magic-enum): Added the package definition.
    --- gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++ 1 file changed, 24
    insertions(+) diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index
    00e006928e..012640171a 100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm
    @@ -807,3 +807,27 @@ code will be mixed in with the a [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.222.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.222.169 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider
                             (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit
                             (joshua.r.marshall.1991[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: tl.tartanllama.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/cpp.scm (magic-enum): Added the package definition.
---
 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..012640171a 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -807,3 +807,27 @@ code will be mixed in with the actual programming logic.  This implementation
 provides a number of utilities to make coding with expected cleaner.")
     (home-page "https://tl.tartanllama.xyz/")
     (license license:cc0)))
+
+(define-public magic-enum
+    (package
+      (name "magic-enum")
+      (version "0.7.2")
+      (home-page "https://github.com/Neargye/magic_enum")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url home-page)
+                      (commit (string-append "v" version))))
+                (sha256
+                 (base32
+                  "07j5zdf3vkliwrcv6k663k35akn7qp23794sz2mnvkj9hbv9s8cx"))
+                (file-name (git-file-name name version))))
+      (build-system cmake-build-system)
+
+      (native-inputs
+       `(("gcc" ,gcc-9)))
+      (synopsis "C++17 header only library for compile time reflection of enums")
+      (description "C++17 header only library which offers static reflection
+of enums, with to string, from string, and iteration, and relate324    d
+functionality.")
+      (license license:expat)))
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 14 Jan 2021 11:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 06:59:58 2021
Received: from localhost ([127.0.0.1]:37383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l01ID-0007Ti-Th
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 06:59:58 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:64469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1l01IA-0007TW-MD
 for 45604 <at> debbugs.gnu.org; Thu, 14 Jan 2021 06:59:57 -0500
Received: from nijino.local (217-149-169-137.nat.highway.telekom.at
 [217.149.169.137])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4DGjY21xnqz1LWp5;
 Thu, 14 Jan 2021 12:59:50 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4DGjY21xnqz1LWp5
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1610625590;
 bh=lzB/fSLKT09ubq8QtH1vQRTzE+fp06+ksNjfL/q0Khk=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=prNRN610rzVKj5XhEvLTpEpx5/ObcQqoMxeiF0K9b0Bhyx3pBNFqcZpkF5bO3E4BY
 ee8GHNqcClLak4PNTqsrKWXirFFAE2BhOI6LkyHSDKFAUSda6wrskev/Y1ji5FtwqP
 OxJJ0yuRv3RTfsaHuvNqc57J5EBnr5LD3k7Xu4HA=
Message-ID: <6733a5f6ccb0bb3b189eaca8d61fd5bc58924d07.camel@HIDDEN>
Subject: Re: [PATCH 1/1] Added a package definition for the C++17 header
 only library 'magic-enum'.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Anadon <joshua.r.marshall.1991@HIDDEN>
Date: Thu, 14 Jan 2021 12:59:49 +0100
In-Reply-To: <20210114023630.53568-2-joshua.r.marshall.1991@HIDDEN>
References: <20210114023630.53568-1-joshua.r.marshall.1991@HIDDEN>
 <20210114023630.53568-2-joshua.r.marshall.1991@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hello Anadon,

I was prepared to overlook some formal errors and push this with some
slight adjustment, but my package build failed, so I'll have to make
you adjust it once again.

Am Mittwoch, den 13.01.2021, 21:36 -0500 schrieb Anadon:
> gnu/packages/cpp.scm: Added the package definition.
The commit message for this package should be (minus indentation)

    gnu: Add magic-enum.
    
    * gnu/packages/cpp.scm (magic-enum): New variable.

to keep with the already established style.

You don't need to send a cover letter for a single patch.  Also, don't
include guix-patches in your follow-up messages, but do CC me. 
Additionally, it'd be nice if you used --reroll-count, but I'll sort
things out.

> ---
>  gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
>  1 file changed, 24 insertions(+)
> 
> diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> index 00e006928e..673867dbd2 100644
> --- a/gnu/packages/cpp.scm
> +++ b/gnu/packages/cpp.scm
> @@ -807,3 +807,27 @@ code will be mixed in with the actual
> programming logic.  This implementation
>  provides a number of utilities to make coding with expected
> cleaner.")
>      (home-page "https://tl.tartanllama.xyz/")
>      (license license:cc0)))
> +
> +(define-public magic-enum
> +    (package
> +      (name "magic-enum")
> +      (version "0.7.2")
> +      (home-page "https://github.com/Neargye/magic_enum")
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url home-page)
> +                      (commit (string-append "v" version))))
Missing (file-name (git-file-name name version)).
This is needed with git-references as otherwise it'll just be named
"git-checkout", which isn't very helpful.
> +                (sha256
> +                 (base32
> +                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qil
> sv2"))
After I recently cleaned my checkout completely (unrelated bytecode
troubles), this hash does not match up the one I get with `guix build'.

r:sha256 hash mismatch for /gnu/store/ajxz311mls8ybih8cify2lcwnwkqd1wy-
git-checkout:
  expected hash: 0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2
  actual hash:   07j5zdf3vkliwrcv6k663k35akn7qp23794sz2mnvkj9hbv9s8cx

Did something change upstream? 
> +                (modules '((guix build utils)))))
modules should only be needed if you have a snippet.

> +      (build-system cmake-build-system)
> +
> +      (inputs
> +       `(("gcc" ,gcc-9)))
Should probably be native-inputs.
> +      (synopsis "C++17 header only library for compile time
> reflection of enums")
> +      (description "C++17 header only library which offers static
> reflection
> +of enums, with to string, from string, and iteration, and related
> +functionality.")
> +      (license license:expat)))

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.
Merged 45604 45730 45731 45850 45851 45852 45853. Request was from Leo Prikler <leo.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 14 Jan 2021 02:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:36:47 2021
Received: from localhost ([127.0.0.1]:36908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsVD-0002xl-6x
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:36:47 -0500
Received: from mail-qk1-f175.google.com ([209.85.222.175]:33495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kzsVB-0002wt-Ny
 for 45604 <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:36:46 -0500
Received: by mail-qk1-f175.google.com with SMTP id f26so5325380qka.0
 for <45604 <at> debbugs.gnu.org>; Wed, 13 Jan 2021 18:36:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=iwACoeTsRVAPXG9M6PgVIBe3Bw1WZfojGUpeP/XKnK8=;
 b=ffh9qoIoad+J7/WnwXYaFIAs7xyEB8DTXEGqkvIMf9nOZwHNxJmWezQS8QaWY/HPH+
 +4GV/buJ5w0yIkAf3r7mm5QgJqKL/yw5OT70H3mgTNcg7OPTIr+UdjtLcnxTQZ1jlRr9
 YKeEXQVuobY4mp6+dCtuJqAX4OKANQ7iazFAT6cZ93nkcv4Idk0SKuTlD4P0UTymVfES
 l3x6z2dfMA6COFTF3+C6wd2pmFCIYZt5VcPzuz42Lik9wnyVhzx6AvzAzQUcHEgruSg+
 SaRVKgu8vOeCIDetysib+k3bNAA2M5UQWL3/RFPKqGIlrCEqMKeCpPVwZx4fs8n45j3l
 9mzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=iwACoeTsRVAPXG9M6PgVIBe3Bw1WZfojGUpeP/XKnK8=;
 b=YD7BQSorhrpnuzszZ86pM8T3mDzFD403xESS9e/nWaCSd2eRazmf0ge5IuIoNzsM4Z
 nAptA+wwnGQzizUA0kARccd/uFFsdpb2GcrNLRhwtPFiEa0yzw9LDnSDRxWUwZOmxo0Z
 ooQ9vXMaSY173+fPa/vzVrvY3kguD12ePDTysESM1Cd1eZVmvt0+UYcOrsHH3mu1YUV9
 mJmnBD+rTm8xMS2KDB50trZ/bfF7FyxTdjUWpGddsTqK9E0lWMl7pJlOYWE9M7gjhAEp
 t1wX+9+irzbOtNBlTEDJnnEecOJstL4dgfu5Sw8y9+Lyqa/QkhGbiodHddSYxMFPBTHM
 uq3g==
X-Gm-Message-State: AOAM532aa6CvXrnHW1KQHXqoiZJ+9p5zMVWeQ3skGW7/WOY7WeNFP54T
 7P7Js0+XFgH1CyLMDwfyKGnFtielB5zEsA2B
X-Google-Smtp-Source: ABdhPJy7vSc/WNhJ7uB67P53bvvKcIg5n7o/a78hyXzRvUvXpy6M+tzZItfG4vj1a1E082Fno+MlEw==
X-Received: by 2002:a05:620a:12f8:: with SMTP id
 f24mr5212626qkl.132.1610591800263; 
 Wed, 13 Jan 2021 18:36:40 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id l24sm2305169qkl.46.2021.01.13.18.36.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jan 2021 18:36:39 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/1] Added a package definition for the C++17 header only
 library 'magic-enum'.
Date: Wed, 13 Jan 2021 21:36:30 -0500
Message-Id: <20210114023630.53568-2-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210114023630.53568-1-joshua.r.marshall.1991@HIDDEN>
References: <20210114023630.53568-1-joshua.r.marshall.1991@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: gnu/packages/cpp.scm: Added the package definition. ---
 gnu/packages/cpp.scm
 | 24 ++++++++++++++++++++++++ 1 file changed, 24 insertions(+) diff --git
 a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index 00e006928e..673867dbd2
 100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm @@ -807, 3 +807,
 27 @@ code will be mixed in with the a [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (joshua.r.marshall.1991[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: tl.tartanllama.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.175 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.175 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  gnu/packages/cpp.scm: Added the package definition. --- gnu/packages/cpp.scm
    | 24 ++++++++++++++++++++++++ 1 file changed, 24 insertions(+) diff --git
    a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index 00e006928e..673867dbd2
    100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm @@ -807,3 +807,27
    @@ code will be mixed in with the a [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.222.175 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.222.175 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit
                             (joshua.r.marshall.1991[at]gmail.com)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider
                             (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: tl.tartanllama.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

gnu/packages/cpp.scm: Added the package definition.
---
 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..673867dbd2 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -807,3 +807,27 @@ code will be mixed in with the actual programming logic.  This implementation
 provides a number of utilities to make coding with expected cleaner.")
     (home-page "https://tl.tartanllama.xyz/")
     (license license:cc0)))
+
+(define-public magic-enum
+    (package
+      (name "magic-enum")
+      (version "0.7.2")
+      (home-page "https://github.com/Neargye/magic_enum")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url home-page)
+                      (commit (string-append "v" version))))
+                (sha256
+                 (base32
+                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2"))
+                (modules '((guix build utils)))))
+      (build-system cmake-build-system)
+
+      (inputs
+       `(("gcc" ,gcc-9)))
+      (synopsis "C++17 header only library for compile time reflection of enums")
+      (description "C++17 header only library which offers static reflection
+of enums, with to string, from string, and iteration, and related
+functionality.")
+      (license license:expat)))
-- 
2.27.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 14 Jan 2021 02:36:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:36:45 2021
Received: from localhost ([127.0.0.1]:36903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsVB-0002xP-Jt
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:36:45 -0500
Received: from mail-qk1-f179.google.com ([209.85.222.179]:34329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kzsV8-0002wp-O9
 for 45604 <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:36:42 -0500
Received: by mail-qk1-f179.google.com with SMTP id c7so5320083qke.1
 for <45604 <at> debbugs.gnu.org>; Wed, 13 Jan 2021 18:36:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=xUobE2YlwdKTQH4DEf5WwhbR9QnrlgCQUTRMwaiXcig=;
 b=Na+jMdYx9EfUIwLi8riZ61YYXa4oFB7Xy8MAKfunLBcf/A/rxxlEyH7BBQaleQ7RI/
 c9nR96EBgrx5tsx6A+TctgnVvaYsUnVBc5Y/8iifBGFxgYigMPTCNS6nSGZ4PySEFBca
 Gr6cWKi7rL3QTKDToNkxsMDJNZDjfqUsVMhiGh+60iR2B4D2aRyVgP0j2FzWMUZvehiH
 HqPNr6QdGcvHm7ObRx80MeHt4SegIUVM2WVxPA6mgDlL2CN1KrJ6A/BY7sEN7iGj865C
 DmKbTs5VtRpbb9XlW5gmIfxMPRzqUY9QL1FrkplZ48ED80/i1HXoTjSaNeTbWTWThdy0
 DHjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=xUobE2YlwdKTQH4DEf5WwhbR9QnrlgCQUTRMwaiXcig=;
 b=lAOAfGcwCQunhzNrerJRbMp+hfQjnQheiJJq5ziAlt3gHFnifpr2pNiAlKKmtV4yiH
 PIYsxomHBR/yLKLA6QLEoyWRnLfzvusJQrhTTrehINYecmbTUJGo+ihwz1U0FpIvi6b0
 lSR6zREcd88hbaSxpXPyKxqq7qrpt6DO/Pem34NAGyARAt+tGioSL3gxMV17KdXFPBQu
 U9lvokugN9GgfYTo85v2EDD2lYrZqiUp9UPESmLKRJmB0oHfsVD+nT6njdU/8cwK/Sxz
 D9mosB9hOknXghl/BgkL8DnvFe+kkBZusH7+R/tgLPMTswPMM6ezY9PkgmKtMq72oDcj
 0z5A==
X-Gm-Message-State: AOAM532yALP+PQkUI3B9NmGNVvGe4r2H3HipO5xNnKDHXr2K0O7uHrI9
 VupfKebDax5eKeU1q7Z8Oh4=
X-Google-Smtp-Source: ABdhPJwmvlC8hY6RQ0xKVPOrrMn31Y1fTjO1u44pGrbkGD/0TtkyMGj9F9DdVfXsi3PqgZRpucFmIw==
X-Received: by 2002:a37:d41:: with SMTP id 62mr5070258qkn.110.1610591797182;
 Wed, 13 Jan 2021 18:36:37 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id l24sm2305169qkl.46.2021.01.13.18.36.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jan 2021 18:36:36 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] New package 'magic-enum'
Date: Wed, 13 Jan 2021 21:36:29 -0500
Message-Id: <20210114023630.53568-1-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Added a simple package definition for the C++17 header only library
'magic-enum'.

Anadon (1):
  Added a package definition for the C++17 header only library
    'magic-enum'.

 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

-- 
2.27.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 14 Jan 2021 02:17:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:17:41 2021
Received: from localhost ([127.0.0.1]:36881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsCj-0002R9-09
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:17:41 -0500
Received: from mail-qv1-f48.google.com ([209.85.219.48]:35572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kzsCh-0002QQ-Bt
 for 45604 <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:17:39 -0500
Received: by mail-qv1-f48.google.com with SMTP id l14so1699193qvh.2
 for <45604 <at> debbugs.gnu.org>; Wed, 13 Jan 2021 18:17:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1wjL3yKYVSim1jNMK0g8HrbBFv9DqUG18wZzp6h74vw=;
 b=Cg+7tTEPqR3uueroIGili+qzFrEaW80jHX0cbZK9Xa8PuQnBcK6Du4Zrfh6CnpDYgn
 I0z5znGILhTzVe7v0Ozd6Y8xWGhhy096yBxjfuauJ8JSIQjgrlmsszhhbruvnqUhbqQf
 jCcaGwehKA1b4e6Da0ADRQ0+Bd0aprBpe4GfBUONmUHTzyKNtfudBCVnpCJbQB/d+Et3
 uH2r9iKBsNRn18KTpYBS4jE5rqBbY6X+O8YEIvHA7ADpWPgiVLnS03oUXrZHSVPjsY6t
 /EWaFxBfZOoVmzk6ta2uxEEwkNJwBmsqEJfnQv4vjlzasiU59ILXD5cK1hBqc3jt14v1
 uB6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1wjL3yKYVSim1jNMK0g8HrbBFv9DqUG18wZzp6h74vw=;
 b=eBu7faNLvJk78pfulmQFMQSoqDLFEa/Rpjj3SiRBsG/tbuMxheROPg5fPiFsjDsirN
 BS4bXeVc8HC/K+HqOKspyTvUBMXaQWRvEYYMPjpzeQNNEsrKrFRfobHbp8/G77/n40AS
 SL6pGdP0eaFxroo9/ZQEEHVvqQ/MjhJa2UbCIt5fRhunx6pGMRcAKKA+xXuAe5sVzI7V
 1o7LiwOTClKP8lG7axhUKn/g0CsaJY7ngMDccBJfDbXivVluIslgW9mHluKjXFsxFrt9
 LihAZaHKhskLFeYPYJkNkkTj9TWrmYqy05P84Xk9RIHU4yCORo/k8TYpVFELN1naJ33M
 EOug==
X-Gm-Message-State: AOAM530bFHGUezIuKZEwu05BVOSmfRxw8t16rDUlKANjsaMdWCehwj4p
 gjcZwFbqcTvDNjtfmy5/aDxCdxVlFpaKIY3L
X-Google-Smtp-Source: ABdhPJyHs1jbnhtmhVNnFDd/KYQEP3eSlrwFfXDRcjaTu8lN/i2jaaZzFF752iP2zHdW7xX3lB9Q7g==
X-Received: by 2002:a05:6214:1754:: with SMTP id
 dc20mr4931601qvb.7.1610590653794; 
 Wed, 13 Jan 2021 18:17:33 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id n5sm2263798qkh.126.2021.01.13.18.17.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jan 2021 18:17:33 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/1] Added a package definition for the C++17 header only
 library 'magic-enum'.
Date: Wed, 13 Jan 2021 21:17:11 -0500
Message-Id: <20210114021711.52857-2-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210114021711.52857-1-joshua.r.marshall.1991@HIDDEN>
References: <20210114021711.52857-1-joshua.r.marshall.1991@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: gnu/packages/cpp.scm: Added the package definition. ---
 gnu/packages/cpp.scm
 | 24 ++++++++++++++++++++++++ 1 file changed, 24 insertions(+) diff --git
 a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index 00e006928e..ff10a4247b
 100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm @@ -807, 3 +807,
 27 @@ code will be mixed in with the a [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (joshua.r.marshall.1991[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: tl.tartanllama.xyz (xyz)]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.48 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.48 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  gnu/packages/cpp.scm: Added the package definition. --- gnu/packages/cpp.scm
    | 24 ++++++++++++++++++++++++ 1 file changed, 24 insertions(+) diff --git
    a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm index 00e006928e..ff10a4247b
    100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm @@ -807,3 +807,27
    @@ code will be mixed in with the a [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.48 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.48 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit
                             (joshua.r.marshall.1991[at]gmail.com)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider
                             (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: tl.tartanllama.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

gnu/packages/cpp.scm: Added the package definition.
---
 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..ff10a4247b 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -807,3 +807,27 @@ code will be mixed in with the actual programming logic.  This implementation
 provides a number of utilities to make coding with expected cleaner.")
     (home-page "https://tl.tartanllama.xyz/")
     (license license:cc0)))
+
+(define-public magic-enum
+    (package
+      (name "magic-enum")
+      (version "0.7.2")
+      (home-page "https://github.com/Neargye/magic_enum")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url home-page)
+                      (commit (string-append "v" version))))
+                (sha256
+                 (base32
+                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2"))
+                (modules '((guix build utils)))))
+      (build-system cmake-build-system)
+
+      (inputs
+       `(("gcc" ,gcc-10)))
+      (synopsis "Header-only C++17 library for reflection for enums")
+      (description "Static reflection for enums (to string, from string,
+iteration) for modern C++, work with any enum type without any macro or
+boilerplate code")
+      (license license:expat)))
-- 
2.27.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 14 Jan 2021 02:17:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 21:17:38 2021
Received: from localhost ([127.0.0.1]:36873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzsCg-0002Qf-6g
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:17:38 -0500
Received: from mail-qt1-f174.google.com ([209.85.160.174]:44810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kzsCe-0002QM-WF
 for 45604 <at> debbugs.gnu.org; Wed, 13 Jan 2021 21:17:37 -0500
Received: by mail-qt1-f174.google.com with SMTP id r9so2585721qtp.11
 for <45604 <at> debbugs.gnu.org>; Wed, 13 Jan 2021 18:17:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=xUobE2YlwdKTQH4DEf5WwhbR9QnrlgCQUTRMwaiXcig=;
 b=VfrLmGMP15yTIVhErivrgDi1oTapizTWDZABU+ljP67K4jmpTkaZ9VOW1aNlF2pmPX
 c9XwKKCpcLkOfX+Cddw2L7SCWDFvzitiFBGs5HZNWxGCX5pEegIFYrRpnhmxJiIo25LP
 OT/9myELg6wtdMLx/yOucJ6DZUTPSLGGYH6AK0AQXQ2BgDxzwcIr/Bx1QvoWBx8RC2UM
 40gIj0xF1onomVOnzOw8TTQTogNzxQvPVk4NiUyQVvWORw79seUZ9cnvofOnPH4Dpd7J
 /9IjGBm3zi46z7VUNJSgfhKmd8kvmA9JgLq1oAn7Zfx1Jw/53XRq5z+b1g9NeL/Txnm2
 jENA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=xUobE2YlwdKTQH4DEf5WwhbR9QnrlgCQUTRMwaiXcig=;
 b=k3KGUzLowfOMWEOy5pIaMKNfBLB331WxMAKJbZUYiiDM79UgULC7uG9wdsictkLb6w
 vLH3vP0Hoa1pJi2QhTEQV1KhBR50LWvReqcJBd3fR8nocDIIDuKHfM+kb1taCqEjkzSs
 N3s1H4DWhuqTxywlH5kep7mRnzmUE7xW9BdkvZztOT2CWMm9ue2PvTg66V5MI8CPtrYL
 GPjUfLpSWdsB5BbZDO1QmGbHOU0yDaOmZohjrw9IM7nly010cFRnLhGCxi3YZAKkpl66
 KMt2vB3nbyF+bZTcrHqMcBYi41xBhS3U9O01TlGHWJekSZMAYIFIpKwvNgAZ5jLwFsKt
 cWeA==
X-Gm-Message-State: AOAM5313iBxEf+Hci13bUtGrhIxN++9KNsGbL6KkVjV1ePl4FayjMZUs
 NOGljeZxYxyskhW+pM6sF1E=
X-Google-Smtp-Source: ABdhPJw66huxnNrF36+iyCtiuc7WCFwLpQhh5TrFmEEFbqCIJbrnUJtgOap1NuXe1IsoIWCBq0RK8w==
X-Received: by 2002:ac8:6b14:: with SMTP id w20mr5270622qts.320.1610590651336; 
 Wed, 13 Jan 2021 18:17:31 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id n5sm2263798qkh.126.2021.01.13.18.17.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jan 2021 18:17:30 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] New package 'magic-enum'
Date: Wed, 13 Jan 2021 21:17:10 -0500
Message-Id: <20210114021711.52857-1-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Added a simple package definition for the C++17 header only library
'magic-enum'.

Anadon (1):
  Added a package definition for the C++17 header only library
    'magic-enum'.

 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

-- 
2.27.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 9 Jan 2021 07:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 09 02:52:03 2021
Received: from localhost ([127.0.0.1]:51168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ky92Z-0003D7-G6
	for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 02:52:03 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:55034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1ky92X-0003Ch-Rj
 for 45604 <at> debbugs.gnu.org; Sat, 09 Jan 2021 02:52:02 -0500
Received: from nijino.local (217-149-174-13.nat.highway.telekom.at
 [217.149.174.13])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4DCXHL2lBjz3wYg;
 Sat,  9 Jan 2021 08:51:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1610178718;
 bh=JOD2D8h+gq7hxdntOWTcTvKgJlu6+6zt8TgAd0PhWwA=;
 h=Subject:From:To:Cc:Date:In-Reply-To;
 b=iPBoJbDwoVI3e5V3hQRzGWKur3FyL2HE5XFc+V/ee17HG3Vtw7eeIYxrM13CeeeT1
 llyq7dG5pqQsfKUsmun8P/U0ZC2EJ5VLHReWOdVS9WIhBh3TVQNpT2qxigS1LoEVaZ
 KMsNuRfTbrlC0SVAEC/jbvv5FbIB1n/0LaO9Z30c=
Message-ID: <734fefc52faea2d05b562f823dcc844696d7aed1.camel@HIDDEN>
Subject: [bug#45604] [PATCH 0/2] Added magic-enum header-only library as a
 package.
From: Leo Prikler <leo.prikler@HIDDEN>
To: joshua.r.marshall.1991@HIDDEN
Date: Sat, 09 Jan 2021 08:51:57 +0100
In-Reply-To: 20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Anadon,

three nitpicks:
1. You should squash the changes into the original commit.
2. The commit message(s) is/are still missing.
3. Please pick one name for your contributions.

Otherwise LGTM,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 9 Jan 2021 02:41:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 21:41:22 2021
Received: from localhost ([127.0.0.1]:51058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ky4Bt-0003vj-Hd
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:22 -0500
Received: from mail-io1-f52.google.com ([209.85.166.52]:40046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1ky4Bm-0003uT-Gq
 for 45604 <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:18 -0500
Received: by mail-io1-f52.google.com with SMTP id r9so11815012ioo.7
 for <45604 <at> debbugs.gnu.org>; Fri, 08 Jan 2021 18:41:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=YR4V0dY9gVJ1rgpsEML8rDuQHgp/xU8Xkr47X5/coTE=;
 b=fe6ofN1F/yTmwLDo2rNSlcuBDRX/Bs+wvHcuVWKucjGnncnFFsLRr/YyBTmXNTJiJ7
 NveLB4kfRAXZMyofs5H5I4MMQF55S9dSrabQCfAw5vPSOiQUHe7D9MEA31C9gvFIielT
 GCVCQkgSAwbfq7OV4cMcjcsjjKsFHt/Vrf/gG2HlZ4ft12TIPp1aiIfjdq7stuGy5Whq
 RSoA2wc2dgIaOIUnG3VsyBgIdxMMK225iZxpNoBFD3+hORQsqRzihTsNKbDDJJIPeupC
 qKtlAnNpSSy8Gj6GoYyVYU92ci4w96eUHmExjJ6CyjmCfOifpdO7Kt3V8VEAOpXh4mzA
 rLWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=YR4V0dY9gVJ1rgpsEML8rDuQHgp/xU8Xkr47X5/coTE=;
 b=WXMfbKGt6CFLTeuXoJygACyphtm6jQ/yE8cqXe1cjLL22eIKD0ASP3paY7/+SzVhq/
 MOkbOJLy4eBV7AULUgjwfKd/6FVjHLidc5jl2Em/lt3Nk6rPEy0NE99INKB4mGj0IZLf
 G2GfZiGlnZ+nfFL5DBwCkRtUHTYQErmBOb+rKXHxGR9u1JeeqoSD1M05SUMnKOkg2QCX
 qSTk0WHvXFAkJ9BX+7YjKZExPs/H/S2vjVmDUGdm3bztFjquy0S5sHxMxseYXq8ififC
 K3peTQYrMUS2h1j2g/yjNZ/tmWemyKzWEE0qV436v3wJX7CKsD1/PN9FDRunVnaXvIE9
 4S5A==
X-Gm-Message-State: AOAM530/Dmah3XlPk/+/39/VRl4oZG9w38ZE9M/v2/12DFUCmmozJIE7
 ljwVYuVXcGu2DixAtrO4Ato=
X-Google-Smtp-Source: ABdhPJydXsC2g2XJYVGZWZ31qLJgALAuWeP0nUWfMZJxWh3V0vfj590T8FOeAVw14Ir9Yb+rIWvNNA==
X-Received: by 2002:a02:b607:: with SMTP id h7mr6140336jam.120.1610160068965; 
 Fri, 08 Jan 2021 18:41:08 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id b18sm8170513iln.46.2021.01.08.18.41.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Jan 2021 18:41:08 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] Added magic-enum header-only library as a package.
Date: Fri,  8 Jan 2021 21:40:57 -0500
Message-Id: <20210109024058.68902-2-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN>
References: <20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Josh Marshall --- gnu/packages/cpp.scm | 24
 ++++++++++++++++++++++++ 1 file changed,
 24 insertions(+) diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
 index 00e006928e..ff10a4247b 100644 --- a/gnu/packages/cpp.scm +++
 b/gnu/packages/cpp.scm
 @@ -807,3 +807,27 @@ code will be mixed in with the a [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (joshua.r.marshall.1991[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: tl.tartanllama.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (joshua.r.marshall.1991[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.166.52 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Josh Marshall <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Josh Marshall --- gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
    1 file changed, 24 insertions(+) diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
    index 00e006928e..ff10a4247b 100644 --- a/gnu/packages/cpp.scm +++ b/gnu/packages/cpp.scm
    @@ -807,3 +807,27 @@ code will be mixed in with the a [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.166.52 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.166.52 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit
                             (joshua.r.marshall.1991[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: tl.tartanllama.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider
                             (joshua.r.marshall.1991[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>

---
 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..ff10a4247b 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -807,3 +807,27 @@ code will be mixed in with the actual programming logic.  This implementation
 provides a number of utilities to make coding with expected cleaner.")
     (home-page "https://tl.tartanllama.xyz/")
     (license license:cc0)))
+
+(define-public magic-enum
+    (package
+      (name "magic-enum")
+      (version "0.7.2")
+      (home-page "https://github.com/Neargye/magic_enum")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url home-page)
+                      (commit (string-append "v" version))))
+                (sha256
+                 (base32
+                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2"))
+                (modules '((guix build utils)))))
+      (build-system cmake-build-system)
+
+      (inputs
+       `(("gcc" ,gcc-10)))
+      (synopsis "Header-only C++17 library for reflection for enums")
+      (description "Static reflection for enums (to string, from string,
+iteration) for modern C++, work with any enum type without any macro or
+boilerplate code")
+      (license license:expat)))
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 9 Jan 2021 02:41:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 21:41:19 2021
Received: from localhost ([127.0.0.1]:51056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ky4Br-0003va-At
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:19 -0500
Received: from mail-io1-f45.google.com ([209.85.166.45]:37969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1ky4Bp-0003up-4g
 for 45604 <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:17 -0500
Received: by mail-io1-f45.google.com with SMTP id e22so11299207iom.5
 for <45604 <at> debbugs.gnu.org>; Fri, 08 Jan 2021 18:41:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=fdR0BJbw/wMYqjzA24PhD2/m2fH3tCBONkW8ueXw4DQ=;
 b=snUlZ3mpONJGB3qE2w4nQ0Cb6QEbIzKu0GTzNLE4vidijieKK8zDS0u3yBPDO92Hu4
 wAlSFnegrF4OXvP6imezRScl9Yiey5T94bJBrISVEsq0whQT+YxBxK8MtbT1CXlOG6TO
 +t730f7BVyMVAWgw5I6hxSOlYeyLkg6bV6vaolefG3c9mg0syDe9Om+yUu9Zhc72A+Jo
 a2QdFdSbeM4GPyvJTrN3Ms9v5kZhfDcMxBmeoin+ZJzi1kK6c9gN1X3u9zLrPeQ0sZOt
 letko/GDw9JAkLAARZ5aE1Jyq13ccJTuPWZK3QsFkxcHMRDvubRJBg8B2lSYpmKnYlwl
 EZAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=fdR0BJbw/wMYqjzA24PhD2/m2fH3tCBONkW8ueXw4DQ=;
 b=TijRmure94HJOkV9pUjQop7VYYoCsB+NYL9OlOrKrWaJ4FgDHkRsNpzelgwUeBKap1
 swU5JAa935Z1ra5ot67ZV32rET6gP9PLxDjBUYgKUa5Emu5zcaCZg2pZvETjU10guj4E
 On4HHUSTdGNeE8Hx8Y64iWuHBa/zutvYsP8BHGuXR9U6IiDXX9rnwmP2fJU2WXbrjDKb
 JgKjeFkhWl/GilY1pdvHyjlUnALEUfj/SdxuVzvnWUaxzMmNgcXpWoiR3aZvK7TluAs8
 HubT+1QjuCVyjcIc6wlceThE5aXWWnix8weDKcbPGMQuFtluVx8uvslhlRztDireDxb5
 wZVw==
X-Gm-Message-State: AOAM530PJzEEUVv44tdyX6G2JJ7fl9rCWSvRSkNYKu7SmXJgzMg1v9ha
 L5sl1N3yYWE4vWk6l4pZL20=
X-Google-Smtp-Source: ABdhPJzj6PW7L/6khzJmGw1GriXd2sX/eGr0oFTgXO4FscHEkp5SxxFf8PxJ4O8Py/Ja1x06P44lrg==
X-Received: by 2002:a5d:9c57:: with SMTP id 23mr7540894iof.43.1610160071684;
 Fri, 08 Jan 2021 18:41:11 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id b18sm8170513iln.46.2021.01.08.18.41.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Jan 2021 18:41:11 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 2/2] Made changes Leo on the ML suggested.
Date: Fri,  8 Jan 2021 21:40:58 -0500
Message-Id: <20210109024058.68902-3-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN>
References: <20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

---
 gnu/packages/cpp.scm | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index ff10a4247b..487639c879 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -823,11 +823,9 @@ provides a number of utilities to make coding with expected cleaner.")
                   "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2"))
                 (modules '((guix build utils)))))
       (build-system cmake-build-system)
-
-      (inputs
-       `(("gcc" ,gcc-10)))
-      (synopsis "Header-only C++17 library for reflection for enums")
-      (description "Static reflection for enums (to string, from string,
-iteration) for modern C++, work with any enum type without any macro or
-boilerplate code")
+      (native-inputs
+       `(("gcc" ,gcc-9)))
+      (synopsis "Header-only C++17 library for reflection on enums")
+      (description "C++17 static reflection for enums, allowing functions like
+ to string, from string, and iteration.")
       (license license:expat)))
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 9 Jan 2021 02:41:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 08 21:41:11 2021
Received: from localhost ([127.0.0.1]:51046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ky4Bj-0003ui-J9
	for submit <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:11 -0500
Received: from mail-il1-f182.google.com ([209.85.166.182]:34944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1ky4Bi-0003uH-Ht
 for 45604 <at> debbugs.gnu.org; Fri, 08 Jan 2021 21:41:10 -0500
Received: by mail-il1-f182.google.com with SMTP id 14so11066640ilq.2
 for <45604 <at> debbugs.gnu.org>; Fri, 08 Jan 2021 18:41:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=ZEzXq2mPvZmgp/xAQiRWdtHZyDg79jk44tt4jTDURkc=;
 b=K57+bz2LOiZ+2MP4Z+yCXp/pfkGjRoggvd9wLbhGb3L5DfroZhh1UMxJyM9HvYWbNx
 6yMKg7c9Z6NjAITLGSSn705UF07NrCkLN/0iAEXU6ouYLHQ2rc9c1Tgbs2OP6nXrhVV4
 agkJ7wgxS13wWb6baDvbqDjaBQ0TGRuKb+8/qPkzNuiQ8zWpzC+njABMRJTnrbnTTqe5
 DDUtD4aIpSuGRAOk7RX8MW/25X180QFXPteeCNYqO5xW8lRvTTX/ANepPsWiPPi9nA0p
 XNDpUtSd68WWa34JqUMDrc3fyo6fwVxdOc6UnxNqHYYKWHqBJYfqBctrZA0T8tfwMGmi
 SlAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=ZEzXq2mPvZmgp/xAQiRWdtHZyDg79jk44tt4jTDURkc=;
 b=IUUId87yUz8X5kCFadmiyxLaYM7xTQxvf0WkZMkxSxR4JeyOj/rvP9Aa1Bd6U2Cmzo
 ohuaD2vOyeORG6zW/wpNmWAg+uAIZIpRrdaeEubtnrmAXXwZj+ysrc/LBaGwRxwhY6tw
 NwNc65uNvRGI44w1v6W5hAIHS16QvVJ67bNppt5JUXUjX5/eni5WnKg+zvVs4CLURF4R
 8N7vn1raLW9H0uGS86eMfcM/0kuxxlpOIB8E1oQCd/0r1piO/3kz14I82oHz1en0OJ0s
 /10F+y7LSaOPI+OjOWkEQnAweaeqhd8NFgs52z1zpkbNSLDeKuA68GuQzGZQqAyBu/eF
 yeJA==
X-Gm-Message-State: AOAM532FyenxPHJw+Dsqdjn7ZYgHP69AI1NQG3QFaTZuLjTHIiAJ3KLS
 Ud6O2jucPglm7AYnAr1YnqI=
X-Google-Smtp-Source: ABdhPJz3Mg4TSy+BC1F4etJ+iwb+mPsLPrInD4tamxgDOPTJkccL7b33wOJcl2bmQWFkKmBPmBoK5w==
X-Received: by 2002:a05:6e02:f81:: with SMTP id
 v1mr3705523ilo.71.1610160064695; 
 Fri, 08 Jan 2021 18:41:04 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id b18sm8170513iln.46.2021.01.08.18.41.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Jan 2021 18:41:03 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] Added magic-enum header-only library as a package.
Date: Fri,  8 Jan 2021 21:40:56 -0500
Message-Id: <20210109024058.68902-1-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org, Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Added magic-enum header-only library as a package.

Anadon (1):
  Made changes Leo on the ML suggested.

Josh Marshall (1):
  Added magic-enum header-only library as a package.

 gnu/packages/cpp.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 5 Jan 2021 20:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 05 15:39:48 2021
Received: from localhost ([127.0.0.1]:42771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwt7M-00062K-Bi
	for submit <at> debbugs.gnu.org; Tue, 05 Jan 2021 15:39:48 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:27403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1kwt7J-000626-E0
 for 45604 <at> debbugs.gnu.org; Tue, 05 Jan 2021 15:39:46 -0500
Received: from nijino.local (217-149-174-13.nat.highway.telekom.at
 [217.149.174.13])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4D9PW15pSwz3x8T;
 Tue,  5 Jan 2021 21:39:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1609879182;
 bh=S551WK9/3TjvvJR6C8lj1AAdKdM+uO2EMn0W5jtb098=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=M1qHXeXssBsjHzL/NIIGToffctCpmy5YRAOZFpnfYUPtMv+4xVtjUXdU0dg1Dv2+a
 rFw6c/0XJuFnky0g8hMlrCQOqImLKLNLVfZ5VYN/srdNZi7xzhUsn1JSVw1QFpFzu5
 /6qHMDPaoiPWWigAjzotNj3q2sBZexo85kNPa5uQ=
Message-ID: <7c5a8335d41424b10c950d6dd5f20adb16a4bbfb.camel@HIDDEN>
Subject: Re: [PATCH 1/1] Added magic-enum header-only library as a package.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
Date: Tue, 05 Jan 2021 21:39:40 +0100
In-Reply-To: <CAFkJGRex36HPoGXo_HMhtxenxTHnKMKwOkY8mgUvOzpmxFnp1w@HIDDEN>
References: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
 <20210102005145.582428-2-joshua.r.marshall.1991@HIDDEN>
 <678c89426254d320a0962d8c47d88b29aa754b03.camel@HIDDEN>
 <CAFkJGRex36HPoGXo_HMhtxenxTHnKMKwOkY8mgUvOzpmxFnp1w@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hello Josh,
Am Montag, den 04.01.2021, 16:59 -0500 schrieb Josh Marshall:
> Sorry, one more thing I missed in the documentation was the waiting
> period.  The commit message missing is probably a misconfiguration. 
> I can change to gcc-9, I just defaulted to the newest since the
> default was too old.  That description is a verbatim copy of their
> description.
W.r.t. the description you should probably come up with words of your
own.  The upstream one doesn't appear all that usable.

For the record, gcc should likely also be a native-input, given that
it'll be used for compilation and testing.

> I'll fix these up, then issue another patch series.
Don't forget to set --to, --cc and --reroll-count when you do ;)
Otherwise you might inadvertently open up new issues which will at
least confuse the bug tracker.

Regards,
Leo

> On Mon, Jan 4, 2021 at 8:06 AM Leo Prikler <
> leo.prikler@HIDDEN> wrote:
> > Hello Anadon,
> > 
> > I have not yet built your package (because I'm currently also
> > handling
> > another patch), but since you've requested review over at guix-
> > devel,
> > I'll have a go at it.
> > For the future please note, that a delay of 2 days does not mean we
> > haven't noticed you at all.  The manual has the following to say
> > for
> > committers:
> > > For anything else, please post to <guix-patches@HIDDEN> and
> > leave
> > > time for a review, without committing anything (*note Submitting
> > > Patches::).  If you didn’t receive any reply after two weeks, and
> > if
> > > you’re confident, it’s OK to commit.
> > 
> > Am Freitag, den 01.01.2021, 19:51 -0500 schrieb Anadon:
> > > From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
> > Ehh, somehow the commit message and everything is missing here.  Is
> > that intended or just misconfigured?
> > 
> > > ---
> > >  gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
> > >  1 file changed, 24 insertions(+)
> > > 
> > > diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> > > index 00e006928e..ff10a4247b 100644
> > > --- a/gnu/packages/cpp.scm
> > > +++ b/gnu/packages/cpp.scm
> > > @@ -807,3 +807,27 @@ code will be mixed in with the actual
> > > programming logic.  This implementation
> > >  provides a number of utilities to make coding with expected
> > > cleaner.")
> > >      (home-page "https://tl.tartanllama.xyz/")
> > >      (license license:cc0)))
> > > +
> > > +(define-public magic-enum
> > > +    (package
> > > +      (name "magic-enum")
> > > +      (version "0.7.2")
> > > +      (home-page "https://github.com/Neargye/magic_enum")
> > > +      (source (origin
> > > +                (method git-fetch)
> > > +                (uri (git-reference
> > > +                      (url home-page)
> > > +                      (commit (string-append "v" version))))
> > > +                (sha256
> > > +                 (base32
> > > +                 
> > "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qil
> > > sv2"))
> > > +                (modules '((guix build utils)))))
> > > +      (build-system cmake-build-system)
> > > +
> > > +      (inputs
> > > +       `(("gcc" ,gcc-10)))
> > The home-page claims, that it works with GCC>=9.  Have you
> > encountered
> > any issues with gcc-9 instead?
> > > +      (synopsis "Header-only C++17 library for reflection for
> > > enums")
> > I feel as though that could be worded better.
> > > +      (description "Static reflection for enums (to string, from
> > > string,
> > > +iteration) for modern C++, work with any enum type without any
> > macro
> > > or
> > > +boilerplate code")
> > Descriptions should be complete sentences and end with a period.
> > > +      (license license:expat)))
> > 
> > Regards,
> > Leo
> > 





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 4 Jan 2021 22:00:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 17:00:03 2021
Received: from localhost ([127.0.0.1]:60470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwXtS-0007Gd-70
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 17:00:03 -0500
Received: from mail-vk1-f171.google.com ([209.85.221.171]:41921)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kwXtP-0007Fm-I5
 for 45604 <at> debbugs.gnu.org; Mon, 04 Jan 2021 17:00:00 -0500
Received: by mail-vk1-f171.google.com with SMTP id a6so6515575vkb.8
 for <45604 <at> debbugs.gnu.org>; Mon, 04 Jan 2021 13:59:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=OqGm3/v4CZgnhUotuD4PYf/QvfotMS6qNM7g51UEG9I=;
 b=FXpELCk3nXh40/sQD05rbu6Vmo3+lfGJeTZ15kQbFdty3Bup6yOWFXoYO7u9KRRBoL
 oTo6+w8lCPrPOSJVosqCYaEJnKLy1JirXJ+1Zkxq75g8VH2n8qSS5ij8ySLt/X9JetxQ
 XS3nWw55AHhOtWqd2jsJHqqdJTmYBpYjzwKpXeeyWRzVTwJ06xBAy/imapA4o1U91JjO
 dIx8Kfrl5vgULN8eHYsZxtGalDM9TlVOD1TwK6L8Ke1xcxOuYgCOfav4Jx+Wp/5ADqWh
 H7y6lLhkCT/J34k9MLKwm2mi7nQb7tYJ2qp+zcyRIuK4A93pYCcXkSBDoH59qg1utYsS
 6c8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=OqGm3/v4CZgnhUotuD4PYf/QvfotMS6qNM7g51UEG9I=;
 b=rFq54eotLKetnksNR+iGi4rO2XZepmjutLISsVpNo7kHkQpUDKRBuOxGC1tYF4lJWM
 fA3HF/L7DKCxUilyaUDyIkZnegui0mQGgGZk7FqM8H+1Ecn1SC7re044lTWWzjHcitmd
 fU7VxVQdo57eC80T9yD0LQ0lnv4OnMGo5A4S0Vi15HBAT0Unij03M0sdGMcIZSO+yrR6
 E9oWyME9xGifDhlUejsX4gvHiI9JSJa4679jZXozbvNkX49vmKSxm37b7aAV44IL+ISr
 7Ivzv2FoxNxVWVuyC6LW/eFnoxeBx7Hg+XJ4IreXQWERVcAu2Lv7qPvnJuA5GMAoV9p/
 LVlA==
X-Gm-Message-State: AOAM532oH9jWWGethGNLJ+vja+EfnQbg9IlyeTJbWFCjgGB/4WDOV6dj
 ufOfRCMLFaR+GtJoyGMYaEup3Bivs7dH9bFBm9BWXiTH+EY=
X-Google-Smtp-Source: ABdhPJxrO6LuqYbRb4cVspllBpKnVRxuLj7DZphTaYy9Wunq/DdBGfr2q1cj9aEhnVOTpd3cd6l4xf81nmMAzFSGEhU=
X-Received: by 2002:a1f:9409:: with SMTP id w9mr20812636vkd.8.1609797593789;
 Mon, 04 Jan 2021 13:59:53 -0800 (PST)
MIME-Version: 1.0
References: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
 <20210102005145.582428-2-joshua.r.marshall.1991@HIDDEN>
 <678c89426254d320a0962d8c47d88b29aa754b03.camel@HIDDEN>
In-Reply-To: <678c89426254d320a0962d8c47d88b29aa754b03.camel@HIDDEN>
From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
Date: Mon, 4 Jan 2021 16:59:42 -0500
Message-ID: <CAFkJGRex36HPoGXo_HMhtxenxTHnKMKwOkY8mgUvOzpmxFnp1w@HIDDEN>
Subject: Re: [PATCH 1/1] Added magic-enum header-only library as a package.
To: Leo Prikler <leo.prikler@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000bcf95f05b81a358f"
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry, one more thing I missed in the documentation was the
 waiting period. The commit message missing is probably a misconfiguration.
 I can change to gcc-9, I just defaulted to the newest since the d [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tugraz.at]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (joshua.r.marshall.1991[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: tl.tartanllama.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.171 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.171 listed in wl.mailspike.net]
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Sorry, one more thing I missed in the documentation was the
    waiting period. The commit message missing is probably a misconfiguration.
    I can change to gcc-9, I just defaulted to the newest since the d [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: tugraz.at]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.171 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.171 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider
                             (joshua.r.marshall.1991[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit
                             (joshua.r.marshall.1991[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: tl.tartanllama.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--000000000000bcf95f05b81a358f
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Sorry, one more thing I missed in the documentation was the waiting
period.  The commit message missing is probably a misconfiguration.  I can
change to gcc-9, I just defaulted to the newest since the default was too
old.  That description is a verbatim copy of their description.

I'll fix these up, then issue another patch series.







On Mon, Jan 4, 2021 at 8:06 AM Leo Prikler <leo.prikler@HIDDEN>
wrote:

> Hello Anadon,
>
> I have not yet built your package (because I'm currently also handling
> another patch), but since you've requested review over at guix-devel,
> I'll have a go at it.
> For the future please note, that a delay of 2 days does not mean we
> haven't noticed you at all.  The manual has the following to say for
> committers:
> > For anything else, please post to <guix-patches@HIDDEN> and leave
> > time for a review, without committing anything (*note Submitting
> > Patches::).  If you didn=E2=80=99t receive any reply after two weeks, a=
nd if
> > you=E2=80=99re confident, it=E2=80=99s OK to commit.
>
> Am Freitag, den 01.01.2021, 19:51 -0500 schrieb Anadon:
> > From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
> Ehh, somehow the commit message and everything is missing here.  Is
> that intended or just misconfigured?
>
> > ---
> >  gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
> >  1 file changed, 24 insertions(+)
> >
> > diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> > index 00e006928e..ff10a4247b 100644
> > --- a/gnu/packages/cpp.scm
> > +++ b/gnu/packages/cpp.scm
> > @@ -807,3 +807,27 @@ code will be mixed in with the actual
> > programming logic.  This implementation
> >  provides a number of utilities to make coding with expected
> > cleaner.")
> >      (home-page "https://tl.tartanllama.xyz/")
> >      (license license:cc0)))
> > +
> > +(define-public magic-enum
> > +    (package
> > +      (name "magic-enum")
> > +      (version "0.7.2")
> > +      (home-page "https://github.com/Neargye/magic_enum")
> > +      (source (origin
> > +                (method git-fetch)
> > +                (uri (git-reference
> > +                      (url home-page)
> > +                      (commit (string-append "v" version))))
> > +                (sha256
> > +                 (base32
> > +                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qil
> > sv2"))
> > +                (modules '((guix build utils)))))
> > +      (build-system cmake-build-system)
> > +
> > +      (inputs
> > +       `(("gcc" ,gcc-10)))
> The home-page claims, that it works with GCC>=3D9.  Have you encountered
> any issues with gcc-9 instead?
> > +      (synopsis "Header-only C++17 library for reflection for
> > enums")
> I feel as though that could be worded better.
> > +      (description "Static reflection for enums (to string, from
> > string,
> > +iteration) for modern C++, work with any enum type without any macro
> > or
> > +boilerplate code")
> Descriptions should be complete sentences and end with a period.
> > +      (license license:expat)))
>
> Regards,
> Leo
>
>

--000000000000bcf95f05b81a358f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Sorry, one more thing I missed in the documentation w=
as the waiting period.=C2=A0 The commit message missing is probably a misco=
nfiguration.=C2=A0 I can change to gcc-9, I just defaulted to the newest si=
nce the default was too old.=C2=A0 That description is a verbatim copy of t=
heir description.</div><div><br></div><div>I&#39;ll fix these up, then issu=
e another patch series.<br></div><div><br></div><br><br><br><br><br></div><=
br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon,=
 Jan 4, 2021 at 8:06 AM Leo Prikler &lt;<a href=3D"mailto:leo.prikler@stude=
nt.tugraz.at">leo.prikler@HIDDEN</a>&gt; wrote:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1p=
x solid rgb(204,204,204);padding-left:1ex">Hello Anadon,<br>
<br>
I have not yet built your package (because I&#39;m currently also handling<=
br>
another patch), but since you&#39;ve requested review over at guix-devel,<b=
r>
I&#39;ll have a go at it.<br>
For the future please note, that a delay of 2 days does not mean we<br>
haven&#39;t noticed you at all.=C2=A0 The manual has the following to say f=
or<br>
committers:<br>
&gt; For anything else, please post to &lt;<a href=3D"mailto:guix-patches@g=
nu.org" target=3D"_blank">guix-patches@HIDDEN</a>&gt; and leave<br>
&gt; time for a review, without committing anything (*note Submitting<br>
&gt; Patches::).=C2=A0 If you didn=E2=80=99t receive any reply after two we=
eks, and if<br>
&gt; you=E2=80=99re confident, it=E2=80=99s OK to commit.<br>
<br>
Am Freitag, den 01.01.2021, 19:51 -0500 schrieb Anadon:<br>
&gt; From: Josh Marshall &lt;<a href=3D"mailto:joshua.r.marshall.1991@gmail=
.com" target=3D"_blank">joshua.r.marshall.1991@HIDDEN</a>&gt;<br>
Ehh, somehow the commit message and everything is missing here.=C2=A0 Is<br=
>
that intended or just misconfigured?<br>
<br>
&gt; ---<br>
&gt;=C2=A0 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++<br>
&gt;=C2=A0 1 file changed, 24 insertions(+)<br>
&gt; <br>
&gt; diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm<br>
&gt; index 00e006928e..ff10a4247b 100644<br>
&gt; --- a/gnu/packages/cpp.scm<br>
&gt; +++ b/gnu/packages/cpp.scm<br>
&gt; @@ -807,3 +807,27 @@ code will be mixed in with the actual<br>
&gt; programming logic.=C2=A0 This implementation<br>
&gt;=C2=A0 provides a number of utilities to make coding with expected<br>
&gt; cleaner.&quot;)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 (home-page &quot;<a href=3D"https://tl.tartanllama=
.xyz/" rel=3D"noreferrer" target=3D"_blank">https://tl.tartanllama.xyz/</a>=
&quot;)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 (license license:cc0)))<br>
&gt; +<br>
&gt; +(define-public magic-enum<br>
&gt; +=C2=A0 =C2=A0 (package<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (name &quot;magic-enum&quot;)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (version &quot;0.7.2&quot;)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (home-page &quot;<a href=3D"https://github.com/N=
eargye/magic_enum" rel=3D"noreferrer" target=3D"_blank">https://github.com/=
Neargye/magic_enum</a>&quot;)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (source (origin<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (method git-f=
etch)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (uri (git-ref=
erence<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 (url home-page)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 (commit (string-append &quot;v&quot; version))))<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (sha256<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(base32=
<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &quot;=
0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qil<br>
&gt; sv2&quot;))<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (modules &#39=
;((guix build utils)))))<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (build-system cmake-build-system)<br>
&gt; +<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (inputs<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0`((&quot;gcc&quot; ,gcc-10)))<br>
The home-page claims, that it works with GCC&gt;=3D9.=C2=A0 Have you encoun=
tered<br>
any issues with gcc-9 instead?<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (synopsis &quot;Header-only C++17 library for re=
flection for<br>
&gt; enums&quot;)<br>
I feel as though that could be worded better.<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (description &quot;Static reflection for enums (=
to string, from<br>
&gt; string,<br>
&gt; +iteration) for modern C++, work with any enum type without any macro<=
br>
&gt; or<br>
&gt; +boilerplate code&quot;)<br>
Descriptions should be complete sentences and end with a period.<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 (license license:expat)))<br>
<br>
Regards,<br>
Leo<br>
<br>
</blockquote></div>

--000000000000bcf95f05b81a358f--




Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at 45604 <at> debbugs.gnu.org:


Received: (at 45604) by debbugs.gnu.org; 4 Jan 2021 13:06:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 04 08:06:21 2021
Received: from localhost ([127.0.0.1]:58098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kwPYz-0003KN-HX
	for submit <at> debbugs.gnu.org; Mon, 04 Jan 2021 08:06:21 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:23926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1kwPYx-0003KC-68
 for 45604 <at> debbugs.gnu.org; Mon, 04 Jan 2021 08:06:20 -0500
Received: from nijino.local (217-149-174-13.nat.highway.telekom.at
 [217.149.174.13])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4D8bVH3PHLz3wMF;
 Mon,  4 Jan 2021 14:06:15 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1609765575;
 bh=TVd8vIT5vBYvompx2B50lgMIBGvUrdhQAgd1KrE/PIU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=l8jtN9oFkybipYPAtySoYXLm1yOwsc9v8NyzL481cs09dNUBxyfuCnar5eXA3Kg/y
 mCs0tX7j/NBVxwBg3OFM26YOsxJovkjXltaMrfWKHuctAPFBnNrHrv3gHlTkTIN9qm
 Q//3/OqqR3SKkoln5+BgAQbQdAw8iG0UopD7eS7k=
Message-ID: <678c89426254d320a0962d8c47d88b29aa754b03.camel@HIDDEN>
Subject: Re: [PATCH 1/1] Added magic-enum header-only library as a package.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Anadon <joshua.r.marshall.1991@HIDDEN>
Date: Mon, 04 Jan 2021 14:06:14 +0100
In-Reply-To: <20210102005145.582428-2-joshua.r.marshall.1991@HIDDEN>
References: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
 <20210102005145.582428-2-joshua.r.marshall.1991@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 45604
Cc: 45604 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hello Anadon,

I have not yet built your package (because I'm currently also handling
another patch), but since you've requested review over at guix-devel,
I'll have a go at it.
For the future please note, that a delay of 2 days does not mean we
haven't noticed you at all.  The manual has the following to say for
committers:
> For anything else, please post to <guix-patches@HIDDEN> and leave
> time for a review, without committing anything (*note Submitting
> Patches::).  If you didn’t receive any reply after two weeks, and if
> you’re confident, it’s OK to commit.

Am Freitag, den 01.01.2021, 19:51 -0500 schrieb Anadon:
> From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
Ehh, somehow the commit message and everything is missing here.  Is
that intended or just misconfigured?

> ---
>  gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
>  1 file changed, 24 insertions(+)
> 
> diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> index 00e006928e..ff10a4247b 100644
> --- a/gnu/packages/cpp.scm
> +++ b/gnu/packages/cpp.scm
> @@ -807,3 +807,27 @@ code will be mixed in with the actual
> programming logic.  This implementation
>  provides a number of utilities to make coding with expected
> cleaner.")
>      (home-page "https://tl.tartanllama.xyz/")
>      (license license:cc0)))
> +
> +(define-public magic-enum
> +    (package
> +      (name "magic-enum")
> +      (version "0.7.2")
> +      (home-page "https://github.com/Neargye/magic_enum")
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url home-page)
> +                      (commit (string-append "v" version))))
> +                (sha256
> +                 (base32
> +                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qil
> sv2"))
> +                (modules '((guix build utils)))))
> +      (build-system cmake-build-system)
> +
> +      (inputs
> +       `(("gcc" ,gcc-10)))
The home-page claims, that it works with GCC>=9.  Have you encountered
any issues with gcc-9 instead?
> +      (synopsis "Header-only C++17 library for reflection for
> enums")
I feel as though that could be worded better.
> +      (description "Static reflection for enums (to string, from
> string,
> +iteration) for modern C++, work with any enum type without any macro
> or
> +boilerplate code")
Descriptions should be complete sentences and end with a period.
> +      (license license:expat)))

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2021 00:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 19:52:08 2021
Received: from localhost ([127.0.0.1]:35067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvV9M-0006au-7L
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 19:52:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:58126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV9K-0006al-Ft
 for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 19:52:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56182)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV9K-0000gd-7c
 for guix-patches@HIDDEN; Fri, 01 Jan 2021 19:52:06 -0500
Received: from mail-qt1-x833.google.com ([2607:f8b0:4864:20::833]:42806)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV9I-0002X9-M5
 for guix-patches@HIDDEN; Fri, 01 Jan 2021 19:52:06 -0500
Received: by mail-qt1-x833.google.com with SMTP id z3so14948388qtw.9
 for <guix-patches@HIDDEN>; Fri, 01 Jan 2021 16:52:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=h7lbH5Nhz1SpIeNqtwRAVO7p9Jo7ofztW1t8gW8mooY=;
 b=TiVCG7s8gZbaeRHQi5yeJAUf9PChKD+L577xeAcY2dnfuA0X7cKq7OZCrbSeP9qo7e
 J1Op0pLowwJWN80iGIzfgTyEifyFrM+udctvBEKKF8AxHl12Pz8+y9ohdOXtG7Kvmj41
 JrgiIgKumERAwtym/h4nnguS697Dnf/bE5ePKTxZSbYal6+4AGRdjBW12KwbDo1wcyL1
 IcJZlnBeWex5jmkGjTyxptGsjlAHEbTz1s3MqgtZeI5b28WmPO/bwXxxMcxiBzKuyf0n
 pdCkEXfKlEQp2UaakKDPgxzWPB79v+RhZN88OiAiSU6JKHeRqcr2U9R+8PjMxOBZ5Zki
 dE/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=h7lbH5Nhz1SpIeNqtwRAVO7p9Jo7ofztW1t8gW8mooY=;
 b=NozY0/nK+zxrO69CwZElevx5PF7rUjfr5UUaBDCkJSxt6IfG8Y1+GocM7c9OrBHbhU
 9c3PiRSJJbIiGwYwy54ytumKzD3SCA3TKpjlyjsWDwPN9ihw5UqRr1E/gfBFpS3QSEqR
 fmVapcGZNjRhgfGyK64kGaY0qLHAcFnlT+mD9wWbvaWloriIAeWt9zXyAzLPeFuGdDIS
 11xVqcruVTgArHYZn5lzju5K9CyOEuJT8wCAgXbZsQYKdJrXfFDm6VUihwwTcPMcNKql
 zXO5AArvk1Qp0v+jmRp3+MX1Bo/Pnro6VXu1MJxgR7BZzHGV4aBoEOaRugay2A/TRg3w
 bLew==
X-Gm-Message-State: AOAM533IeQqjLdbZJQ6v1Chm1Nxj1V/H8cm8OU1FpK+wKZKYgrv/7Nte
 rfORO1aJTHbZXBeS+qqa4whMVtm6+7IV0A==
X-Google-Smtp-Source: ABdhPJy4lr+GJziqF4P+asCV+yMwPzpCA2SIg4hgVaiftdwiZvUjr1R2DqHteb4SwdP8sPQWyQGk/A==
X-Received: by 2002:ac8:5d4f:: with SMTP id g15mr63115734qtx.260.1609548723488; 
 Fri, 01 Jan 2021 16:52:03 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id o10sm32752176qtg.37.2021.01.01.16.52.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 01 Jan 2021 16:52:03 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/1] Added magic-enum header-only library as a package.
Date: Fri,  1 Jan 2021 19:51:45 -0500
Message-Id: <20210102005145.582428-2-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.29.2
In-Reply-To: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
References: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::833;
 envelope-from=joshua.r.marshall.1991@HIDDEN; helo=mail-qt1-x833.google.com
X-Spam_score_int: 1
X-Spam_score: 0.1
X-Spam_bar: /
X-Spam_report: (0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, PDS_OTHER_BAD_TLD=1.999, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: Josh Marshall <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

From: Josh Marshall <joshua.r.marshall.1991@HIDDEN>

---
 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 00e006928e..ff10a4247b 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -807,3 +807,27 @@ code will be mixed in with the actual programming logic.  This implementation
 provides a number of utilities to make coding with expected cleaner.")
     (home-page "https://tl.tartanllama.xyz/")
     (license license:cc0)))
+
+(define-public magic-enum
+    (package
+      (name "magic-enum")
+      (version "0.7.2")
+      (home-page "https://github.com/Neargye/magic_enum")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url home-page)
+                      (commit (string-append "v" version))))
+                (sha256
+                 (base32
+                  "0fmkyh1srkz2bx68agfa30sankg1ig1f95xqp8sp9wj3p9qilsv2"))
+                (modules '((guix build utils)))))
+      (build-system cmake-build-system)
+
+      (inputs
+       `(("gcc" ,gcc-10)))
+      (synopsis "Header-only C++17 library for reflection for enums")
+      (description "Static reflection for enums (to string, from string,
+iteration) for modern C++, work with any enum type without any macro or
+boilerplate code")
+      (license license:expat)))
-- 
2.29.2





Information forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2021 00:51:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 19:51:56 2021
Received: from localhost ([127.0.0.1]:35062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvV99-0006Zl-Vm
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 19:51:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:57998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV98-0006Ze-Ps
 for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 19:51:55 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56094)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV98-0000ct-G5
 for guix-patches@HIDDEN; Fri, 01 Jan 2021 19:51:54 -0500
Received: from mail-qk1-x734.google.com ([2607:f8b0:4864:20::734]:34352)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <joshua.r.marshall.1991@HIDDEN>)
 id 1kvV97-0002TH-0D
 for guix-patches@HIDDEN; Fri, 01 Jan 2021 19:51:54 -0500
Received: by mail-qk1-x734.google.com with SMTP id c7so19093658qke.1
 for <guix-patches@HIDDEN>; Fri, 01 Jan 2021 16:51:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=lPbD5O4OHygw7ihw3zGJOmvaFP9HF78ZFBRbjHo/d0k=;
 b=OrsULcoMRlf+o0MLwPrx4fFVqnT1JxltyCGarKzRKJQdltuEJfhbQPpg9ozU35o4Wl
 HEpOzZroMPx+8shQUJ5GcDVelok0+nlWqeXS23XrJbpYIr2Te/sau7HYXJNb2O8pSCfz
 4S8//kXD3HCULJgRRPuQF2ftntl5pJK45J36VglM8A/3YWkAq2JNHbm9gxIgbFrcGcyE
 alfktpMg5LAjtGi72XlvHESJ3L5QzCrmVZt7RxB6X9sQYu0hJjHsq8lHmXG9raJGtzGN
 qJbomudoTmWc1MOhnHm2Qkq/XyZMw1cR/15xCbSs9rPZCGyGK293quyAESJS/f4Yb49B
 E95Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=lPbD5O4OHygw7ihw3zGJOmvaFP9HF78ZFBRbjHo/d0k=;
 b=mc8uXJYrAFnJbJSdZjvDCtoZ690NGPvNDfqY4XSwE+tmTH0g+vslQ2Piev1/mi+FLb
 o05CduFB596FNtZB1fJME3oynYnw87+LfceNpCBpTg2FAvz2FKx9hZX58zoHucUCHKtp
 bxLcdWASam+5ZdYuh54+tNhfJt37x44PL3ghb56U41qzXojV/4LVL7EoX82HF93MywFL
 CL/QHA1vFi3CMhMl1MLbFBsUb5hrjmB1PdbDWXeyFHaZZProVkWahUdyBj6A4DO7xsiA
 SZuKO1vAf5F3+7ruoqpOAaaShSw9fYtLiR+Rd80auExfRSiHuCIpEpVBiSYtYui+C2SR
 OVOA==
X-Gm-Message-State: AOAM533eWyRmiP+5cJLe5LmfszNS8AF5nmIq5DeZa5ixQHfXO0Z4W29f
 ccCbHFoXS30KBvbdrEXhxb8vhWDMmPO2hg==
X-Google-Smtp-Source: ABdhPJxjPdgj9xL/MnyJNzEifRpNRwITjYcIrHwX+5dIgbckLU/q60SPJ3f20+qUE0Qza3UZclTNJw==
X-Received: by 2002:a37:a64b:: with SMTP id p72mr64774199qke.304.1609548711442; 
 Fri, 01 Jan 2021 16:51:51 -0800 (PST)
Received: from localhost.localdomain (c-71-235-50-202.hsd1.ct.comcast.net.
 [71.235.50.202])
 by smtp.gmail.com with ESMTPSA id o10sm32752176qtg.37.2021.01.01.16.51.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 01 Jan 2021 16:51:50 -0800 (PST)
From: Anadon <joshua.r.marshall.1991@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] Add magic-enum package
Date: Fri,  1 Jan 2021 19:51:44 -0500
Message-Id: <20210102005145.582428-1-joshua.r.marshall.1991@HIDDEN>
X-Mailer: git-send-email 2.29.2
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::734;
 envelope-from=joshua.r.marshall.1991@HIDDEN; helo=mail-qk1-x734.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
Cc: Anadon <joshua.r.marshall.1991@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Magic-enum is a C++17 header-only library for support of static
reflection on enums.

Josh Marshall (1):
  Added magic-enum header-only library as a package.

 gnu/packages/cpp.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

-- 
2.29.2





Acknowledgement sent to Anadon <joshua.r.marshall.1991@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#45604; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Jan 2021 04:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.